BITCOIN-WALLET(1)

NAME
bitcoin-wallet - manual page for bitcoin-wallet v24.2.0rc1

DESCRIPTION
Bitcoin Core bitcoin-wallet version v24.2.0rc1

bitcoin-wallet is an offline tool for creating and interacting with Bitcoin Core wallet files. By default bitcoin-wallet will act on wallets in the default mainnet wallet directory in the datadir. To change the target wallet, use the -datadir, -wallet and -regtest/-signet/-testnet arguments.

  Usage:

    bitcoin-wallet [options] <command>

OPTIONS

-?

    Print this help message and exit

-datadir=<dir>

    Specify data directory

-descriptors

    Create descriptors wallet. Only for 'create'

-dumpfile=<file name>

    When used with 'dump', writes out the records to this file. When used with 'createfromdump', loads the records into a new wallet.

-format=<format>

    The format of the wallet file to create. Either "bdb" or "sqlite". Only used with 'createfromdump'

-legacy

    Create legacy wallet. Only for 'create'

-version

    Print version and exit

-wallet=<wallet-name>

    Specify wallet name

Debugging/Testing options:

-debug=<category>

    Output debugging information (default: 0).

-printtoconsole

    Send trace/debug info to console (default: 1 when no -debug is true, 0 otherwise).

Chain selection options:

-chain=<chain>

    Use the chain <chain> (default: main). Allowed values: main, test, signet, regtest

-signet

    Use the signet chain. Equivalent to -chain=signet. Note that the network is defined by the -signetchallenge parameter

-signetchallenge

    Blocks must satisfy the given script to be considered valid (only for signet networks; defaults to the global default signet test network challenge)

-signetseednode

    Specify a seed node for the signet network, in the hostname[:port] format, e.g. sig.net:1234 (may be used multiple times to specify multiple seed nodes; defaults to the global default signet test network seed node(s))

-testnet

    Use the test chain. Equivalent to -chain=test.

Commands:

    create

    Create new wallet file

    createfromdump

    Create new wallet file from dumped records

    dump

    Print out all of the wallet key-value records

    info

    Get wallet info

    salvage

    Attempt to recover private keys from a corrupt wallet. Warning: 'salvage' is experimental.

COPYRIGHT
Copyright (C) 2009-2022 The Bitcoin Core developers Please contribute if you find Bitcoin Core useful. Visit <https://bitcoincore.org/> for further information about the software. The source code is available from <https://github.com/bitcoin/bitcoin>. This is experimental software. Distributed under the MIT software license, see the accompanying file COPYING or <https://opensource.org/licenses/MIT>